org.eclipse.actf.util.win32.keyhook

## Interface IKeyHookListener

    public interface IKeyHookListener

The listener interface for receiving hooked key events. The class that is interested in processing hooked key events implements this interface.

### Method Summary

Methods
`boolean` `hookedKey(int vkey, int modifier, boolean isUp)` Invoke when a key is hooked.

### Method Detail

#### hookedKey

    boolean hookedKey(int vkey,
                    int modifier,
                    boolean isUp)

Invoke when a key is hooked.

Parameters:
  `vkey` - the virtual key code.
  `modifier` - the modifier of the key.
  `isUp` - whether the key is up or down.
Returns:
  if the key is processed in this listener then return true. The key will not be processed another applications.